





Network Working Group                                     J. Quarterman
Request for Comments: 1432                                         MIDS
                                                             March 1993


                         Recent Internet Books

Status of this Memo

   This memo provides information for the Internet community.  It does
   not specify an Internet standard.  Distribution of this memo is
   unlimited.

Abstract

   This article originally appeared in Volume 2 Number 12, (December
   1992) of Matrix News, the monthly newsletter of Matrix Information
   and Directory Services, Inc. (MIDS).

1.  Which Books

   Here is a list of books related to using the Internet, which is the
   global and exponentially growing network of more than a million
   computers that communicate by interactive use of the TCP/IP
   protocols, for the use of millions of users.  This article was
   prompted by the recent publication of nine or ten books on the
   Internet in the space of a year (some are so new they aren't even
   published yet).  I have also included some books that have been
   around for quite a long time (as long ago as the dim past of 1984).
   I think all of them contain useful information for people new to the
   Internet.

   Some of the books included here are about more than the Internet.
   Some of them are about the Matrix, which is the set of all computer
   networks worldwide that exchange electronic mail.  The Matrix
   includes FidoNet, UUCP, BITNET, USENET, the Internet, and many
   others, but is not limited to any one of those networks.  This
   particular bibliographic collection is oriented around the largest
   computer network in the world, the Internet, because of all the
   recent books about that network.  Matrix News continues to publish
   information about the Matrix, including but not limited to the
   Internet.









Quarterman                                                      [Page 1]

RFC 1432                 Recent Internet Books                March 1993


   Author          Pp. Price  Audience       Type           Other
                                                            Networks

   LaQuey & Ryer   208 $10.95 public         user guide     some
   Kehoe           112 $22    technical      user guide     minimal
   Krol            376 $24.95 researchers    guide, catalog minimal
   Kochmer         450 $39.95 researchers    guide, catalog some
   Marine, et al.  380 $39    administrative contacts,      some
                                             context
   Dern             ?    ?    new users      user guide     chapters
   Lane &          200 $37.50 information    primer         ?
   Summerhill                 professionals

   Malamud         376 $26.95 varied         travelog       some

   Quarterman &    448 $42.50 varied         standards      minimal
   Wilhelm
   Lynch, Rose     822 $40    technical      standards      minimal

   Tennant, et al. 142 $45    professionals  textbook       ?
   Benedikt        444 $15.95 varied         anthology      some
   Kahin           446 $34.95 faculty        scholarly      variable
   Parkhurst        86 $10.50 librarians     scholarly      some
   McClure, et al. 746 $45    varied         scholarly      some

   Levy            473  $4.95 public         history        some
   Raymond         453 $10.95 varied         dictionary     some
   Stoll           332 $19.95 public         spy story      some
   Hafner &        368 $22.95 public         journalism     some
   Markoff
   Denning         574 $23.95 public         scholarly      some
   Sterling        352 $23    public         documentary    some

   IRG             240 $15    technical      catalog        minimal
   NorthWestNet    297 $20    technical      catalog        minimal

   Frey & Adams    436 $26.95 varied         desk ref.      many
   LaQuey (UDCN)   645 $34.95 varied         directory      several
   Quarterman      746 $50    varied         context        all

                     Table 1. Network Books Summarized










Quarterman                                                      [Page 2]

RFC 1432                 Recent Internet Books                March 1993


   I have excluded from this article books that are solely about
   technical aspects of technology, such as the TCP/IP protocols.
   Instead, I have included books about the resources and users of the
   Internet.  I have grouped them in rough classifications for
   convenience of presentation.  Several of these books fit several
   classifications.  For that reason and others, the classifications
   should be taken as illustrative, not definitive.  Table 1 summarizes
   some features of all the books described.

   Thanks to various people for input; especially David Bridge.  Much of
   the detailed bibliographic information came from the Library of
   Congress catalog server supported by Digital Research Associates,
   Inc., accessed via gopher and Telnet over the Internet.

   Please note that prices may change, as may electronic mail addresses,
   telephone and fax numbers, and postal addresses.  The price you pay,
   in particular, may be less because of a discount, or more because of
   shipping, or because you buy the book outside of the United States.
   The information included here is accurate to the best of my
   knowledge, but your mileage may vary.  Use at your own risk.  But
   please do report errors, changes, and additions to mids@tic.com.

   Some bibliographic citations end in a line of the form

                  domain.name:path/name

   This means you can retrieve further information by connecting to
   domain.name with FTP, logging in as user anonymous, using your
   electronic mail address as a password, and changing to path/name as a
   directory, or retrieving it as a file, whichever works.

   Some citations end in a line of the form

                  local@domain

   This is a domain address for further email inquiries.















Quarterman                                                      [Page 3]

RFC 1432                 Recent Internet Books                March 1993


2.  Introductions

   New user guides and information on getting connected fill most of the
   new books about the Internet.

      LaQuey & Ryer:

               Tracy LaQuey, and Jeanne C. Ryer, The Internet
               Companion: A Beginner's Guide to Global
               Networking, p. 208, Addison-Wesley, Reading, MA,
               October 1992.
               $10.95. ISBN 0-201-62224-6.
               Book Review: Internet Society News, 1(3):34.
               Summer 1992.
               Book Review: Link Letter, 5(3):4. Nov. 1992.
               Book Review: Matrix News, 2(9):8-9. Sept. 1992.
               companion@world.std.com

      This is the least expensive introductory guide for new users of
      the Internet, and perhaps the only one aimed at the general
      public.  It is also being made available online by anonymous FTP
      from world.std.com, two chapters a month.

      Kehoe:

               Brendan P. Kehoe, Zen and the Art of the Internet:
               A Beginner's Guide, p. 112, Prentice-Hall,
               Englewood Cliffs, NJ, July 1992.
               $22.00. ISBN 0-13-010778-6.
               Book Review: Link Letter, 5(3):3. Nov. 1992.
               Book Review: MicroTimes, 102:3, Nov. 23, 1992.
               simsc.si.edu:networks/zen.ad

      The first edition of this book was and is available only online,
      from various anonymous FTP servers.  This second edition is
      somewhat enlarged and updated, yet is still the shortest
      introductory Internet book.














Quarterman                                                      [Page 4]

RFC 1432                 Recent Internet Books                March 1993


      Krol:

               Ed Krol, The Whole Internet User's Guide &
               Catalog, p. 376, O'Reilly & Associates, Inc.,
               Sebastopol, CA, 13 September 1992.
               $24.95. ISBN 1-56592-025-2.
               Book Review: Internet Society News, 1(3):33.
               Summer 1992.
               Book Review: Link Letter, 5(3):3. Nov. 1992.
               Book Review: Matrix News, 2(11). Nov. 1992.
               Book Review: MicroTimes, 102:3, Nov. 23, 1992.

      Perhaps the most ambitious of the new crop of books, this one is
      both a user's guide and a catalog of resources in one.  It is
      aimed at graduate students who want to use the Internet for
      research.

      Kochmer:

               Jonathan Kochmer, and NorthWestNet, The Internet
               Passport: NorthWestNet's Guide to Our World
               Online, 4th ed., p. 450, NorthWestNet, Bellevue,
               WA, 1993.
               $39.95. ISBN 0-9635281-0-6.
               info@nwnet.net

      A forthcoming guide and catalog, not yet seen.  It is
      paradoxically both the fourth edition of and the successor to the
      other NorthWestNet book listed later.

      Marine:

               April Marine, ed., Internet: Getting Started, p.
               380, SRI International, Menlo Park, CA, September
               1992.
               $39.00.  ISBN [none].
               Book Review: Internet Society News, 1(3):33.
               Summer 1992.
               Book Review: Link Letter, 5(3):4. Nov. 1992.
               Book Review: Matrix News, 2(12). Dec. 1992.
               ftp.nisc.sri.com:netinfo/internet-getting-
               started-contents

      How to join the Internet, and some context so you will know why.
      This book is not a guide, and not a catalog, but it does contain
      numerous contact listings.





Quarterman                                                      [Page 5]

RFC 1432                 Recent Internet Books                March 1993


      Dern:

               Daniel P. Dern, The New User's Guide to the
               Internet, McGraw-Hill, New York, forthcoming in
               1993.  ISBN 0-07-016510-6 (hc). ISBN 0-07-16511-4
               (pbk).

      A forthcoming new user guide, not yet seen.

      Lane & Summerhill:

               Elizabeth S. Lane, and Craig A. Summerhill, An
               Internet Primer for Information Professionals: A
               Basic Guide to Networking Technology, p. 200,
               Meckler Corp., Westport, CT, forthcoming in 1992.
               $37.50. ISBN 0-88736-831-X.

      This book, not yet seen, is apparently aimed at information
      professionals, presumably meaning librarians and others.

3.  Travelogs

   This category has only one book in it so far.

      Malamud:

               Carl Malamud, Exploring the Internet: A Technical
               Travelogue, p. 376, Prentice-Hall, Englewood
               Cliffs, NJ, August 1992.
               $26.95. ISBN 0-13-296898-3.
               Book Review: Internet Society News, 1(3):34.
               Summer 1992.
               Book Review: Network Computing, 3(11):46. October
               15, 1992.
               Book Review: Matrix News, 2(9):9,11. Sept. 1992.

      Many fine lunches and dinners with users, administrators, and
      developers of the Internet in many countries around the world,
      with accurate technical background.  Certainly the most wickedly
      funny of all the books about the Internet.  Contains a subplot
      about how and why ITU and ISO do not publish their standards
      online.









Quarterman                                                      [Page 6]

RFC 1432                 Recent Internet Books                March 1993


4.  Standards

   The seemingly obscure topic of standards is actually illuminating
   when the subject is Internet Standards, because the processes that
   produce them reflect how the whole network works: by the efforts of
   its users and engineers.

      Quarterman & Wilhelm:

               John S. Quarterman, and Susanne Wilhelm, UNIX,
               POSIX, and Open Systems: The Open Standards
               Puzzle, p. 446, Addison-Wesley, Reading, MA, 1993.
               $42.50. ISBN 0-201-52772-3.
               Book Review: Internet Society News, 1(3):34.
               Summer 1992.

      Context about open systems standards.  Includes a very brief
      history of the Internet, comments on the effects of networks on
      standards and the reverse, commentary on the benefits of
      publishing standards online, and an in-depth examination of the
      IETF standards process used to produce Internet Standards.  Also
      includes an Internet growth graph.

      Lynch & Rose:

               Daniel C. Lynch and Marshall T. Rose, eds., The
               Internet System Handbook, p. 822, Addison-Wesley,
               Reading, MA, 1993.  $40, ISBN 0-201-56741-5.

      A description of the process that produces Internet Standards, and
      some other user level material in addition to protocol material.

5.  Textbooks

   This category includes a textbook on using the Internet, and some
   other books that could be used as textbooks for sociology or policy.

      Tennant:

               Roy Tennant, John Ober, Anne G. Lipow, and
               Foreword by Clifford Lynch, Crossing the Internet
               Threshold: an Instructional Handbook, p. 142
               pages, 1993.
               $45.00. ISBN 1-882208-01-3.
               simsc.si.edu:networks/crossing.ad

      A short textbook on using the Internet, by two librarians at the
      University of California at Berkeley.



Quarterman                                                      [Page 7]

RFC 1432                 Recent Internet Books                March 1993


      Benedikt:

               Michael Benedikt, ed., Cyberspace: First Steps, p.
               444, MIT Press, Cambridge, MA, 1991.  $15.95. ISBN
               0-262-02327-X.

      An anthology of sociological examinations of networks and related
      topics, by writers, scholars, and public figures.  Edited by a
      professor of Architecture at the University of Texas.

      Kahin:

               Brian Kahin, ed., Building Information
               Infrastructure: Issues in the Development of the
               National Research and Education Network, p. 446,
               McGraw-Hill Primis, New York, 1992.
               $34.95, ISBN: 0-390-03083-X.
               Book Review: Matrix News, 2(5). May 1992.

      Includes the entire text of the High Performance Computing Act
      (HPCA) of 1991 that authorized the forthcoming National Research
      and Education Network (NREN), as well as numerous examinations of
      what it does and should mean.  Papers from a workshop at Harvard's
      Kennedy School of Government.  Tough sledding in spots, but very
      rewarding in others.

      Parkhurst:

               Carol A. Parkhurst, ed., Library Perspectives on
               NREN: The National Research and Education Network,
               p. 86, LITA, Chicago, 1990.
               $10.50. ISBN 0-8389-7477-5.
               Book Review: Matrix News, 1(7). Oct. 1991.

      Another NREN policy anthology; this one oriented towards library
      uses.















Quarterman                                                      [Page 8]

RFC 1432                 Recent Internet Books                March 1993


      McClure:

               Charles McClure, Ann Bishop, Philip Doty, and
               Howard Rosenbaum, The National Research And
               Education Network (NREN): Research and Policy
               Perspectives, p. 746, Ablex Press, Norwood, NJ,
               1991.
               $45 personal; $95 institutional. ISBN
               0-89391-813-X. Book Review: Matrix News, 1(6).
               Sep. 1991.
               Book Review: Electronic Networking: Research,
               Applications and Policy 2(1). Spring 1992.

      Masses of information on NREN, and examination of its potential
      effects on research.

6.  Hacking and Cracking

   Hacking is skillful programming.  Cracking is breaking and entering.
   If you don't know the difference, read the first two books below.  If
   you don't think it matters, read the last book below, which examines
   how law enforcement agencies confused about computers and networks
   did some very strange things.

      Levy:

               Steven Levy, Hackers: Heroes of the Computer
               Revolution, p. 473, Anchor Press/Doubleday, Garden
               City, NY, 1984.  $17.95. ISBN 0-385-19195-2 (hc).
               $4.95 ISBN 0-440-13405-6 (pbk).

      Tales of the real hackers who invented the modern computer
      industry.  Some of these people are still quite active on the nets
      today.

      Raymond & Steele:

               Eric S. Raymond, ed., Guy Steele, The New Hacker's
               Dictionary, p. 453, MIT Press, Cambridge, MA,
               1991.  ISBN 0-262-18145-2 (hc). $10.95 ISBN
               0-262-68069-6 (pbk).

      The authority on hacker jargon, and a very amusing book.  Look it
      up in here when you doubt a definition in the press.







Quarterman                                                      [Page 9]

RFC 1432                 Recent Internet Books                March 1993


      Stoll:

               Clifford Stoll, The Cuckoo's Egg: Tracking a Spy
               Through the Maze of Computer Espionage, p. 332,
               Doubleday, New York, 1989.  $19.95. ISBN
               0-385-24946-2 (alk. paper).

      A spy novel, except it's true: a first person account by a down-
      on-his-luck Berkeley astronomer who with others tracked down a KGB
      network spy.  Despite its necessary concentration on cracking,
      still a readable introduction to what the Internet is about.

      Hafner & Markoff:

               Katie Hafner, and John Markoff, Cyberpunk, p. 368,
               Simon & Schuster, New York, 1991.  $22.95. ISBN
               0-671-68322-5.

      Interviews with some of the crackers who have appeared
      conspicuously in the press in the past few years.  One of the co-
      authors is the New York Times reporter who broke the Stoll story
      to the public.

      Denning:

               Peter J. Denning, ed., Computers Under Attack:
               Intruders, Worms, and Viruses, p. 574, ACM
               Press/Addison-Wesley, Reading, MA, 1990.  $23.95,
               ISBN 0-201-53067-8.

      Details of celebrated network security cases, including those
      described in the previous two books.  Includes Stoll's original
      article about the Wiley Hacker, and responses and articles by
      others on the same subject.  Has extensive coverage of the 1988
      Internet Worm.  Also includes information on viruses.  Has quite a
      bit of material on the cultures of the networks, and on social,
      legal, and ethical matters.  Starts with the standard historical
      network papers, including "Notable Computer Networks" by
      Quarterman and Hoskins.












Quarterman                                                     [Page 10]

RFC 1432                 Recent Internet Books                March 1993


      Sterling:

               Bruce Sterling, The Hacker Crackdown: Law and
               Disorder on the electronic frontier, p. 352,
               Bantam, New York, 1992.  $23. ISBN 0-553-08058-X.

      An in-depth examination of the forces of law who try to deal with
      computer crime, and of the issues involved, written by one of the
      science fiction writers who invented cyberpunk.  The real story
      behind Operation Sundevil and the Legion of Doom.  Readable,
      informative, amusing, and necessary.

7.  Resource Guides

   These have always been available online.

      NorthWestNet:

               NorthWestNet, NorthWestNet User Services Internet
               Resource Guide, p. 297, NorthWestNet, Bellevue,
               WA, 1992.
               $20.  ISBN [none]. Book Review: Matrix News, 2(1).
               Jan. 1992.
               ftphost.nwnet.net:nic/nwnet/user-
               guide/README.nusirg

          NorthWestNet's Resource Guide.

      IRG:

               NNSC, Internet Resource Guide, p. 240, NSF Network
               Service Center (NNSC), BBN, Cambridge, MA, 1991.
               $15. ISBN [none].
               nnsc.nsf.net:resource-guide/README.

      The original Internet Resource Guide.















Quarterman                                                     [Page 11]

RFC 1432                 Recent Internet Books                March 1993


8.  Also About Other Networks

   The network service most people use is electronic mail, which is
   carried over many networks other than the Internet, throughout the
   worldwide Matrix of interconnected computer networks that exchange
   mail.  These are books about networks that cover more networks than
   the Internet alone.

      Frey & Adams:

               Donnalyn Frey, and Rick Adams, !%@: A Directory of
               Electronic Mail Addressing and Networks, p. 436,
               O'Reilly & Associates, Sebastopol, CA, January
               1991.  $26.95. ISBN 0-937-17515-3 (pbk.).

      A quick desk reference to many networks, with two pages on each
      one.

      LaQuey (UDCN):

               Tracy Lynn LaQuey, Users' Directory of Computer
               Networks, p. 645, Digital Press, Bedford, MA,
               1989.  $34.95 Digital Part Number EY-C200E-DP;
               Digital Press ISBN 1-555-58047-5; Prentice-Hall
               ISBN 0-13-950262-9.

      A directory of users, domains, etc. of the Internet, BITNET, UUCP,
      etc.

      Quarterman:

               John S. Quarterman, The Matrix: Computer Networks
               and Conferencing Systems Worldwide, p. 746,
               Digital Press, Bedford, MA, 1990.  $50. Digital
               order number EY-C176E-DP-SS, Digital Press ISBN
               155558-033-5, Prentice-Hall ISBN 0-13-565607-9.

      A context book about all computer networks worldwide, including
      UUCP, FidoNet, BITNET, USENET, and the Internet.  The longest of
      all the books listed, and the most comprehensive.











Quarterman                                                     [Page 12]

RFC 1432                 Recent Internet Books                March 1993


9.  Publishers

   These are in alphabetical order.  Most of the telephone and fax
   numbers are only for orders, not for other kinds of communications.

          Ablex Publishing Corp.          Doubleday, a division of
          201-767-8450                    Bantam Doubleday Dell
          fax: 201-767-6717                  Publishing Group, Inc.
          355 Chestnut St.                212-765-6500
          Norwood, NJ 07648               800-223-6834
                                          fax: 212-765-3869
                                          666 Fifth Avenue
          Addison-Wesley Publishing Co.   New York, NY  10103
          74230.3622@CompuServe.com
          617-944-3700
          800-447-2226                    Library Solution Press
          1 Jacob Way                     510-841-2636
          Reading, MA 01867               fax: 415-594-0411
                                          1100 Industrial Road, Suite 9
                                          San Carlos, CA 94070
          Bantam, a division of
          Bantam Doubleday Dell
             Publishing Group Inc.        LITA Publications
          212-765-6500                    ALANET ALA0085
          800-223-6834                    800-545-2433
          fax: 212-765-3869               312-280-4270
          666 Fifth Avenue                fax: + 312-440-9374
          New York, NY  10103             50 East Huron Street
                                          Chicago, IL  60602

          Digital Press
          buddenhagen@cecv01.enet.dec.com McGraw-Hill
          617-276-1498                    212-512-2000
          fax: 617-276-4314               1221 Ave. of the Americas
          Digital Equipment Corporation   New York, NY 10020
          12 Crosby Drive BUO/E94
          Bedford, MA 01730

          Meckler Corporation             Simon & Schuster
          (203) 226-6967                  212-698-7000
          Fax: (203) 545-5840             800-223-2336
          11 Ferry Lane West              fax: 212-698-7007
          Westport, CT 06880              Subsidiary of
                                          Paramount Communications Inc.
                                          the Simon & Schuster Bldg.
                                          1230 Ave. of the Americas
                                          New York, NY  10020




Quarterman                                                     [Page 13]

RFC 1432                 Recent Internet Books                March 1993


                                          SRI International
          MIT Press                       nisc@nisc.sri.com
          Massachusetts Institute         415-859-6387
             of Technology                415-859-6387
          Cambridge, MA  02142            fax: 415-859-6028
                                          Network Information Systems
          NorthWestNet                    Center
          nusirg-orders@nwnet.net         333 Ravenswood Avenue,
          206-562-3000                    Room EJ29
          fax: 206-562-4822               Menlo Park, CA 9402

          NUSIRG Orders
          15400 SE 30th Place, Suite 202
          Bellevue, WA  98007

          NSFNET Network Service Center
          nnsc@nnsc.nsf.net
          617-873-3400
          Bolt Beranek and Newman Inc.
          10 Moulton Street
          Cambridge, MA  02138

          O'Reilly & Associates, Inc.
          nuts@ora.com
          707-829-0515
          800-998-9938  7am to 5pm PST
          fax: 707-829-0104
          103 Morris Street, Suite A
          Sebastopol, CA 95472

          Prentice-Hall
          info@prenhall.com
          515-284-6751
          fax: 515-284-2607
          Route 9W
          Englewood Cliffs, NJ 07632

Security Considerations

   Security issues are not discussed in this memo.











Quarterman                                                     [Page 14]

RFC 1432                 Recent Internet Books                March 1993


Author's Address

   John S. Quarterman
   Matrix Information and Directory Services, Inc. (MIDS)
   1106 Clayton Lane, Suite 500W
   Austin, TX 78723
   U.S.A.

   EMail: jsq@tic.com
   Phone: +1-512-451-7602
   Fax: +1-512-450-1436


   For further information on MIDS, contact:

   Matrix News
   Matrix Information & Directory Services, Inc. (MIDS)
   1106 Clayton Lane, Suite 500W
   Austin, TX 78723
   U.S.A.

   EMail: mids@tic.com
   Phone: +1-512-451-7602
   Fax: +1-512-450-1436



























Quarterman                                                     [Page 15]
